Saltar al contenido principal
POST
/
communication-preferences
/
v3
/
subscribe
cURL
curl --request POST \
  --url https://api.hubapi.com/communication-preferences/v3/subscribe \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "emailAddress": "<string>",
  "subscriptionId": "<string>",
  "legalBasisExplanation": "<string>"
}
'
{
  "description": "<string>",
  "id": "<string>",
  "name": "<string>",
  "brandId": 123,
  "legalBasisExplanation": "<string>",
  "preferenceGroupName": "<string>"
}

Supported products

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

Cuerpo

application/json
emailAddress
string
requerido
subscriptionId
string
requerido
Opciones disponibles:
CONSENT_WITH_NOTICE,
LEGITIMATE_INTEREST_CLIENT,
LEGITIMATE_INTEREST_OTHER,
LEGITIMATE_INTEREST_PQL,
NON_GDPR,
PERFORMANCE_OF_CONTRACT,
PROCESS_AND_STORE

Respuesta

successful operation

description
string
requerido
id
string
requerido
name
string
requerido
sourceOfStatus
enum<string>
requerido
Opciones disponibles:
BRAND_WIDE_STATUS,
PORTAL_WIDE_STATUS,
SUBSCRIPTION_STATUS
status
enum<string>
requerido
Opciones disponibles:
NOT_SUBSCRIBED,
SUBSCRIBED
brandId
integer<int64>
Opciones disponibles:
CONSENT_WITH_NOTICE,
LEGITIMATE_INTEREST_CLIENT,
LEGITIMATE_INTEREST_OTHER,
LEGITIMATE_INTEREST_PQL,
NON_GDPR,
PERFORMANCE_OF_CONTRACT,
PROCESS_AND_STORE
preferenceGroupName
string
Last modified on June 8, 2026